Get the sequences of an episode

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/episodes/{episode_id}/sequences

Get the sequences of an episode. Add a query parameter for each column to filter on. A vendor gets only the entities of their tasks, without the hidden metadata columns. The query filters do not apply to vendors. If episode_id is not a valid UUID, the response is an empty list.

Path parameters

  • episode_id string(uuid) Required

    Unique identifier of the episode

Query parameters

  • project_id string(uuid)

    Get only the sequences of this project

Responses

  • 200 application/json

    The list of sequences

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • project_id string(uuid)
    • parent_id string(uuid)
  • 403

    You do not have access to this project

  • 404

    The episode does not exist

GET /data/episodes/{episode_id}/sequences
curl -X GET "http://api.example.com/data/episodes/a24a6ea4-ce75-4665-a070-57453082c25/sequences?project_id=a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/episodes/a24a6ea4-ce75-4665-a070-57453082c25/sequences"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "SQ01",
    "project_id": "b24a6ea4-ce75-4665-a070-57453082c250",
    "parent_id": "c24a6ea4-ce75-4665-a070-57453082c250"
  }
]